

--T4sUOijqQbZv57TR
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

  Hi,

  it seems there's really a problem - does attached patch fix it?

								Honza

> When writing to the file, and the filesystem (ext3) is full, it
> seems to block count gets wrong.
> 
> I ran an e2fsck on the fs and found no problems.  Then I mounted
> it again, wrote a file until the fs was full, unmounted and ran
> e2fsck again, and get this:
> 
> e2fsck 1.32 (09-Nov-2002)
> Pass 1: Checking inodes, blocks, and sizes
> Inode 276481, i_blocks is 681584, should be 681582.  Fix<y>?
> 
> If my memory is any good, their was a simular problem in 2.4
> once.
> 
> I'm testing this with 2.6.0-test11, but couldn't find anything in
> the changelog for 2.6.0.
> 
> 
> Kurt
> 
> -
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/
-- 
Jan Kara <jack@suse.cz>
SuSE CR Labs

--T4sUOijqQbZv57TR
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="balloc.c.diff"



 25-akpm/fs/ext3/balloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/ext3/balloc.c~ext3-enospc-accounting-fix fs/ext3/balloc.c
--- 25/fs/ext3/balloc.c~ext3-enospc-accounting-fix	Fri Dec 19 14:50:42 2003
+++ 25-akpm/fs/ext3/balloc.c	Fri Dec 19 14:50:42 2003
@@ -517,7 +517,7 @@ ext3_new_block(handle_t *handle, struct 
 		sbi->s_resuid != current->fsuid &&
 		(sbi->s_resgid == 0 || !in_group_p (sbi->s_resgid))) {
 		*errp = -ENOSPC;
-		return 0;
+		goto out;
 	}
 
 	/*

_
